{smcl}
{* *! version 1.0.0 27sep2024}{...}
{viewerjumpto "Syntax" "registream##syntax"}{...}
{viewerjumpto "Description" "registream##description"}{...}
{viewerjumpto "Programs" "registream##programs"}{...}
{viewerjumpto "Authors" "registream##authors"}{...}
{viewerjumpto "Citing RegiStream" "registream##citation"}{...}

{title:RegiStream: Streamline Your Register Data Workflow}

{pstd}
{cmd:RegiStream} is a comprehensive package designed to automate and simplify the management of register data, starting with tools like {help autolabel:autolabel} for applying variable and value labels. It currently supports Swedish register data (SCB) and will expand to include additional tools and domains in future releases.
{p_end}

{marker syntax}{...}
{title:Syntax}

{pstd}
For help on specific programs included in the {cmd:RegiStream} package, see their respective help files:
{p_end}

{phang2}
{help autolabel:autolabel} - Automatically apply variable and value labels for register data
{p_end}

{marker description}{...}
{title:Description}

{pstd}
The {cmd:RegiStream} package is designed to streamline register data workflows, providing flexible tools for labeling, managing, and organizing large datasets. The first available tool, {help autolabel:autolabel}, automates the application of variable and value labels from predefined domains like SCB (Statistics Sweden). Future versions of {cmd:RegiStream} will expand to include more programs aimed at enhancing register data management.
{p_end}

{marker programs}{...}
{title:Programs}

{phang2}
{help autolabel:autolabel}: Automatically apply variable and value labels for register data.
{p_end}

{marker authors}{...}
{title:Authors}

{pstd}Jeffrey Clark{break}
Stockholm University{break}
Email: {browse "mailto:jeffrey.clark@su.se":jeffrey.clark@su.se}
{p_end}

{pstd}Jie Wen{break}
Swedish House of Finance{break}
Email: {browse "mailto:jie.wen@hhs.se":jie.wen@hhs.se}
{p_end}

{marker citation}{...}
{title:Citing RegiStream}

{pstd}
To cite the {cmd:RegiStream} package in publications, please use the following format:
{p_end}

{pstd}
Clark, J. & Wen, J. (2024). {it:RegiStream: Streamline Your Register Data Workflow}. Version 1.0. Available from: {browse "https://registream.com"}.
{p_end}
